\echo Use "CREATE EXTENSION table_version FROM unpackaged" to load this file. \quit
---- TABLES -- 
ALTER EXTENSION table_version ADD TABLE versioned_tables ;
ALTER EXTENSION table_version ADD TABLE tables_changed ;
---- FUNCTIONS -- 
ALTER EXTENSION table_version ADD FUNCTION _ver_get_table_info(regclass);
ALTER EXTENSION table_version ADD FUNCTION ver_enable_versioning( v_table_oid REGCLASS );
ALTER EXTENSION table_version ADD FUNCTION ver_enable_versioning(p_schema NAME, p_table NAME);
ALTER EXTENSION table_version ADD FUNCTION _ver_abort_drop_of_versioned_table();
ALTER EXTENSION table_version ADD FUNCTION ver_disable_versioning( p_table_oid REGCLASS );
ALTER EXTENSION table_version ADD FUNCTION ver_disable_versioning(p_schema NAME, p_table NAME);
ALTER EXTENSION table_version ADD FUNCTION ver_create_revision( p_comment TEXT, p_revision_time TIMESTAMP, p_schema_change BOOLEAN);
ALTER EXTENSION table_version ADD FUNCTION ver_complete_revision();
ALTER EXTENSION table_version ADD FUNCTION ver_delete_revision( p_revision INTEGER );
ALTER EXTENSION table_version ADD FUNCTION ver_get_revision( p_revision INTEGER, OUT id INTEGER, OUT revision_time TIMESTAMP, OUT start_time TIMESTAMP, OUT schema_change BOOLEAN, OUT comment TEXT, OUT user_name TEXT );
ALTER EXTENSION table_version ADD FUNCTION ver_get_revisions(p_revisions INTEGER[]);
ALTER EXTENSION table_version ADD FUNCTION ver_get_revisions( p_start_date TIMESTAMP, p_end_date TIMESTAMP );
ALTER EXTENSION table_version ADD FUNCTION ver_get_revision( p_date_time TIMESTAMP );
ALTER EXTENSION table_version ADD FUNCTION ver_get_last_revision();
ALTER EXTENSION table_version ADD FUNCTION ver_get_table_base_revision( p_schema NAME, p_table NAME );
ALTER EXTENSION table_version ADD FUNCTION ver_get_table_last_revision( p_schema NAME, p_table NAME );
ALTER EXTENSION table_version ADD FUNCTION ver_get_modified_tables( p_revision INTEGER );
ALTER EXTENSION table_version ADD FUNCTION ver_get_modified_tables( p_revision1 INTEGER, p_revision2 INTEGER );
ALTER EXTENSION table_version ADD FUNCTION _ver_is_table_versioned( p_schema NAME, p_table NAME );
ALTER EXTENSION table_version ADD FUNCTION ver_is_table_versioned( p_schema NAME, p_table NAME );
ALTER EXTENSION table_version ADD FUNCTION ver_versioned_table_change_column_type( p_table_oid REGCLASS, p_column_name NAME, p_column_datatype TEXT );
ALTER EXTENSION table_version ADD FUNCTION ver_versioned_table_change_column_type( p_schema_name NAME, p_table_name NAME, p_column_name NAME, p_column_datatype TEXT );
ALTER EXTENSION table_version ADD FUNCTION ver_versioned_table_add_column( p_table_oid REGCLASS, p_column_name NAME, p_column_datatype TEXT );
ALTER EXTENSION table_version ADD FUNCTION ver_versioned_table_add_column( p_schema_name NAME, p_table_name NAME, p_column_name NAME, p_column_datatype TEXT );
ALTER EXTENSION table_version ADD FUNCTION ver_get_versioned_tables();
ALTER EXTENSION table_version ADD FUNCTION ver_get_versioned_table_key( p_schema_name NAME, p_table_name NAME );
ALTER EXTENSION table_version ADD FUNCTION ver_create_table_functions( p_schema NAME, p_table NAME, p_key_col NAME );
ALTER EXTENSION table_version ADD FUNCTION _ver_get_truncate_trigger( p_schema NAME, p_table NAME );
ALTER EXTENSION table_version ADD FUNCTION ver_create_version_trigger( p_table_oid REGCLASS, p_key_col NAME );
ALTER EXTENSION table_version ADD FUNCTION ver_create_version_trigger( p_schema NAME, p_table NAME, p_key_col NAME );
ALTER EXTENSION table_version ADD FUNCTION ver_ExpandTemplate ( p_template TEXT, p_params TEXT[] );
ALTER EXTENSION table_version ADD FUNCTION ver_ExecuteTemplate( p_template TEXT, p_params TEXT[]);
ALTER EXTENSION table_version ADD FUNCTION ver_get_version_table( p_schema NAME, p_table NAME );
ALTER EXTENSION table_version ADD FUNCTION ver_get_version_table_full( p_schema NAME, p_table NAME );
ALTER EXTENSION table_version ADD FUNCTION _ver_get_version_trigger( p_schema NAME, p_table NAME );
ALTER EXTENSION table_version ADD FUNCTION _ver_get_diff_function( p_schema NAME, p_table NAME );
ALTER EXTENSION table_version ADD FUNCTION _ver_get_revision_function( p_schema NAME, p_table NAME );
ALTER EXTENSION table_version ADD FUNCTION _ver_get_reversion_temp_table( p_table_name NAME );
ALTER EXTENSION table_version ADD FUNCTION _ver_get_table_owner( p_table REGCLASS );
ALTER EXTENSION table_version ADD FUNCTION ver_table_key_datatype( p_table REGCLASS, p_key_column NAME );
ALTER EXTENSION table_version ADD FUNCTION ver_table_key_is_valid( p_table REGCLASS, p_key_column NAME );
ALTER EXTENSION table_version ADD FUNCTION ver_get_table_differences( p_table1 REGCLASS, p_table2 REGCLASS, p_compare_key NAME );
ALTER EXTENSION table_version ADD FUNCTION ver_apply_table_differences( p_original_table REGCLASS, p_new_table REGCLASS, p_key_column NAME, OUT number_inserts BIGINT, OUT number_deletes BIGINT, OUT number_updates BIGINT );
ALTER EXTENSION table_version ADD FUNCTION _ver_apply_changes( p_original_table REGCLASS, p_new_table REGCLASS, p_diff_table NAME, p_key_column NAME, OUT number_inserts BIGINT, OUT number_deletes BIGINT, OUT number_updates BIGINT );
ALTER EXTENSION table_version ADD FUNCTION _ver_apply_inc_delete( p_delete_table REGCLASS, p_inc_change_table NAME, p_key_column NAME );
ALTER EXTENSION table_version ADD FUNCTION _ver_apply_inc_update( p_update_table REGCLASS, p_inc_change_table NAME, p_inc_data_table REGCLASS, p_key_column NAME );
ALTER EXTENSION table_version ADD FUNCTION _ver_apply_inc_insert( p_insert_table REGCLASS, p_inc_change_table NAME, p_inc_data_table REGCLASS, p_key_column NAME );
ALTER EXTENSION table_version ADD FUNCTION _ver_get_compare_sql( p_columns @extschema@.ATTRIBUTE[], p_table_alias TEXT );
ALTER EXTENSION table_version ADD FUNCTION _ver_get_table_unique_constraint_columns( p_table REGCLASS, p_key_column NAME, p_return_comp_keys BOOLEAN);
ALTER EXTENSION table_version ADD FUNCTION _ver_get_table_columns( p_table REGCLASS );
ALTER EXTENSION table_version ADD FUNCTION ver_versioned_table_drop_column( p_table_oid REGCLASS, p_column_name NAME );
ALTER EXTENSION table_version ADD FUNCTION ver_versioned_table_drop_column( p_schema_name NAME, p_table_name NAME, p_column_name NAME );
ALTER EXTENSION table_version ADD FUNCTION ver_fix_revision_disorder();
ALTER EXTENSION table_version ADD FUNCTION ver_log_modified_tables();
ALTER EXTENSION table_version ADD FUNCTION ver_version();
